
#import "USZipCodeViewInspector.h"
#import "USZipCodeView.h"

@implementation USZipCodeViewInspector

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    
    bundle = [NXBundle bundleForClass:[USZipCodeView class]];
    [bundle getPath:buf 
            forResource:"USZipCodeViewInspector" 
            ofType:"nib"];
    [NXApp loadNibFile:buf 
           owner:self 
           withNames:NO 
           fromZone:[self zone]];

    return ( self );
}

- ok:sender
{
	if ( sender == bkgColorWell ) {
		[object setBkgColor:[sender color]];
	} else if ( sender == lineColorWell ) {
		[object setLineColor:[sender color]];
	} else if ( sender == okButton ) {
		[object setCode:[codeField stringValue]];
		[object setBkgColor:[bkgColorWell color]];
		[object setLineColor:[lineColorWell color]];
	}

	return ( [super ok:sender] );
}

- revert:sender
{
	[bkgColorWell setColor:[object bkgColor]];
	[lineColorWell setColor:[object lineColor]];
	[codeField setStringValue:[object code]];

	return ( [super revert:sender] );
}

- (BOOL) wantsButtons:sender
{
	return ( YES );
}

@end
